function [ dudt ] = F(t,x,y,u,ux,uy,duxx,duyy)
% 
% Written by:
% -- 
% John L. Weatherwax                2006-07-06
% 
% email: wax@alum.mit.edu
% 
% Please send comments and especially bug reports to the
% above email address.
% 
%-----
  
% This represents the "f(t,x,y)" forcing function
%  ... a delta function in a small box    -se <= x <=  +se
%                                    & y^*-se <= y <= y^*+se
%      for a short time ...
se=1; te=0.1; 
if( abs(x)<se && abs(y-5)<se && abs(t)<te ) 
  f = 1.0; 
else 
  f = 0.0; 
end

% This represents the advection veloctity a(y):
% 
a = y; % a shear like flow...
%a = 3*tanh(0.1*y); % another shear like flow...
%a = 0;
%a = -1.0; % a positive value represents advection in the positive x direction...

% This represents the derivative of the vertical 
% diffustion coefficient ... must match that of the routine D.m
DVPrime = 0; 

% Compute the time derivative: 
% 
dudt = -a*ux + duxx + duyy - DVPrime*uy + f; 
